# monit – Manage the state of a program monitored via Monit

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Manage the state of a program monitored via Monit

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | The name of the monit program/process to manage

state
- / required

Choices:
- present
- started
- stopped
- restarted
- monitored
- unmonitored
- reloaded

The state of service

timeout - | Default: 300 | If there are pending actions for the service monitored by monit, then Ansible will check for up to this many seconds to verify the requested action has been performed. Ansible will sleep for five seconds between each check.

## Examples

    # Manage the state of program "httpd" to be in "started" state.
    - monit:
        name: httpd
        state: started

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Darryl Stoflet (@dstoflet)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.